#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-DmvsfrSUE1pD7TuKA6dK44
key:                  stack-2.7.3-DmvsfrSUE1pD7TuKA6dK44
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  da650587fca5202a3b7b4019a48b60f1
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-DmvsfrSUE1pD7TuKA6dK44
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-Hu48mgwBrEQKjw91bueUbm
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-Ag5cePN38Me87eTiPqxHZW array-0.5.4.0
    async-2.2.3-9kX48PHnvdD9PjixjHg39U
    attoparsec-0.14.1-EcyJzfZhZzx4rFmzSXlwR7 base-4.15.0.0
    base64-bytestring-1.2.1.0-3y8bVgj4ClGFIgxpge9J2V
    bytestring-0.10.12.1 casa-client-0.0.1-1kBtF97prTEJLZ78O6RZSl
    casa-types-0.0.2-5EgLfLvmN5XV90oILRrbH
    colour-2.3.6-EolKL0SOQ3k326oihS723j
    conduit-1.3.4.2-CpnfzB5xaoUDvaJR7w9kCQ
    conduit-extra-1.3.5-4qv9B8onSOQ90JVyZFZU6g containers-0.6.4.1
    cryptonite-0.29-Ael7JaBLzwtAWHfQYnAVOO
    cryptonite-conduit-0.2.2-9n1uhjqTTje7xCA4KrOWeL deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-IKTdTMveNU45Czd2kxoN4l
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-GRUjJNRp9SzCAi1XJOUn5q filepath-1.4.2.1
    fsnotify-0.3.0.1-5IyH2JcZil6JXz5iUjLVUT
    generic-deriving-1.14.1-LeWNrPTOBV6JCWdPnDj97P
    hackage-security-0.6.0.1-KKdKCPQEr9kklH1BZdKgk
    hashable-1.3.3.0-23uoxU4x6MLFe9vf4ULvQk
    hi-file-parser-0.1.2.0-JzXROCR271vKJyiFQ5UwjQ
    hpack-0.34.4-99bCj0LNfsh9J1kg25DEUE hpc-0.6.1.0
    http-client-0.7.9-5Iz9r94lJxLCNNEdMuKxRq
    http-client-tls-0.3.5.3-FELuV1EC9q1Bo3i6ECGzZa
    http-conduit-2.3.8-IzCHWrj9z5p9a0FBiARmXI
    http-download-0.2.0.0-ClBDevj2IqTIIPxA7kT4FN
    http-types-0.12.3-Jw2zWV16E9KCVTOWYhAS3k
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.3-InZc5MVrSdOEKSgswKionG mtl-2.2.2
    mustache-2.3.1-8tR8A6GDoSiJ0Q9batDnIa
    neat-interpolation-0.5.1.2-AnuS6uOXC4ZBIsU9WVMt5W
    network-uri-2.6.4.1-DyGoFFEZQ5VEtmFaj1kRtK
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-3CmOuGg8I8VCCKMAPBIRLU
    pantry-0.5.2.3-2pahQb97TyyLI4j3RQWMfg
    path-0.9.0-FXzC63DiUnyDbM5ouAskFz
    path-io-1.6.3-Lh5lGvikcStGNEdrGUwrNf
    persistent-2.13.1.2-3MjLVE1CGpyCMgRwrNoPXY
    persistent-sqlite-2.13.0.3-8tRxNnerrmFBiacyEnGY7x pretty-1.1.3.6
    primitive-0.7.2.0-JNIC7nP5sETC1HdsqczlAX process-1.6.11.0
    project-template-0.2.1.0-E3qIzhSnycyJ3nR0B97esV
    regex-applicative-text-0.1.0.1-LmmKjXLpDoC3RC9H09WlfE
    retry-0.9.0.0-AHZSJ6fg51G9xXxZ2MWlgi
    rio-0.1.21.0-HUnHGRVpw8GKwFkmivxOg0
    rio-prettyprint-0.1.1.0-AQeNQBgsJCl6iG7ENVj64s
    split-0.2.3.4-Fvnx22ln2hA48LScEAmshQ stm-2.5.0.0
    streaming-commons-0.2.2.1-EawgOSLyWYsCZlbLm3WstE
    tar-0.5.1.1-8FqPEangMh714p7rNW6fuN template-haskell-2.17.0.0
    temporary-1.3-DoCk13Nh2D4AZEU9Ihg8GU text-1.2.4.1
    text-metrics-0.3.1-92D74AoqFHpG6TmMv5COD4
    th-reify-many-0.1.10-3nk5mBaCcZzEN9hgr5s3UK time-1.9.3
    tls-1.5.5-F8j62mGKGNQ2RwozgKHmGC transformers-0.5.6.2
    typed-process-0.2.7.0-6t3GqBz4mY14ET5cctlX96
    unicode-transforms-0.3.8-CrHXaTvoeL5DGBLsgbSmBN unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-Ia3yNzLuf8cFkCozeLt55D
    unordered-containers-0.2.14.0-7LMDP5QPSZY4o6Vs5H6SAe
    vector-0.12.3.1-7avVqi4S14u4vwRbDqmIKr
    yaml-0.11.7.0-CAnfJXDMTRI44ZsNEkbu3d
    zip-archive-0.4.1-K6CVCWmz30p4ExidreEIwh
    zlib-0.6.2.3-IBsa4ASfS3OGtPlbWVfkI3

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

